Subject: bug#44320: [PATH] [27.1] Make sure send-string-to-terminal send all contents

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Oct 2020 13:38:24 +0100

Eli Zaretskii <[email-masked]> writes:

>> I got a bug that `send-string-to-termina` maybe send part of contents to
>> terminal, calling `fwrite` in loop to make sure all contents are written.
>
> Any idea why does it not write the entire string in the single call,
> or how to reproduce this?  What is the size of the string in the case
> where it fails to write everything?

fwrite isn't guaranteed to write the entire string in one go, is it?  So
I'm surprised that this doesn't lead to more problems, but I guess it
doesn't show up more in practice because one usually sends less than one
block at a time to the terminal?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no